Running rake in test environment causes exception

2012-05-03 01:13 - John Yani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 1.4.4

Description

The following exception

`block in non_options': file not found: _____ (ArgumentError)

is thrown for every rake task runned in a test environment.

There is a bug for this in rake https://github.com/jimweirich/rake/issues/51

Possible workarounds:

remove "shoulda"

add "test-unit" (as marutosi did https://github.com/Vanuan/redmine/commit/db12487dddf5cc73e1266447e9d23676d187af5d)

Related issues:

Related to Redmine - Defect #10320: db migrate "ChangeAttachmentsContainerDef... Closed

Associated revisions

Revision 10137 - 2012-07-31 04:32 - Toshi MARUYAMA

Gemfile: prevent "rake db:migrate RAILS_ENV=test" causes exception on Ruby 1.9.3 (#10320, #10818)

Revision 10138 - 2012-07-31 10:17 - Toshi MARUYAMA

Merged r10137 from trunk to 2.0-stable (#10320, #10818)

Gemfile: prevent "rake db:migrate RAILS_ENV=test" causes exception on Ruby 1.9.3.

Revision 10139 - 2012-07-31 10:47 - Toshi MARUYAMA

Merged r10137 from trunk to 1.4-stable (#10320, #10818)

Gemfile: prevent "rake db:migrate RAILS_ENV=test" causes exception on Ruby 1.9.3.

Revision 11325 - 2013-02-04 09:05 - Toshi MARUYAMA

remove "test-unit" from Gemfile

This is added by r10137 (#10320, #10818) and shoulda version was upgraded by r11324.

History

#1 - 2012-07-31 08:47 - Etienne Massip

- Target version set to 2.0.4

- Affected version (unused) set to 2.0.3

- Affected version set to 2.0.3

#2 - 2012-07-31 10:35 - Toshi MARUYAMA

- Affected version (unused) changed from 2.0.3 to 1.4.4

- Affected version changed from 2.0.3 to 1.4.4

#3 - 2012-07-31 10:36 - Toshi MARUYAMA

- Category set to Ruby support
#4 - 2012-09-06 19:31 - Jean-Philippe Lang

- Assignee set to Toshi MARUYAMA

Can we close this ticket?

#5 - 2012-09-07 00:24 - John Yani

Jean-Philippe Lang wrote:

Can we close this ticket?

 Sure

#6 - 2012-09-07 00:24 - John Yani

- Status changed from New to Resolved

#7 - 2012-09-07 01:38 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Thank you for your feedback.
